Redmine - Feature #27876

Add project id to robots.txt
2018-01-02 09:58 - Grischa Zengel

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SEO Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

Bots found activities by project number and traverse to the whole history:

redmine:443 66.249.76.119 - - [02/Jan/2018:05:42:49 +0000] "GET /redmine/projects/3/activity?from=
1979-03-13&show_files=1l&user_id=3 HTTP/1.1" 200 8090 "-" "Mozilla/5.0 (compatible; Googlebot/2.1;)

robots.txt looks like:

User—agent: *

Disallow: /redmine/projects/support/repository
Disallow: /redmine/projects/support/issues
Disallow: /redmine/projects/support/activity
Disallow: /redmine/issues/gantt

Disallow: /redmine/issues/calendar

Disallow: /redmine/activity

Disallow: /redmine/search

Expected:

User—agent: *

Disallow: /redmine/projects/support/repository
Disallow: /redmine/projects/support/issues
Disallow: /redmine/projects/support/activity
Disallow: /redmine/projects/3/repository
Disallow: /redmine/projects/3/issues
Disallow: /redmine/projects/3/activity
Disallow: /redmine/issues/gantt

Disallow: /redmine/issues/calendar

Disallow: /redmine/activity

Disallow: /redmine/search

Associated revisions

Revision 17189 - 2018-01-31 19:23 - Toshi MARUYAMA
add project id to robots.txt (#27876)

History

#1 - 2018-01-02 10:02 - Grischa Zengel

I thinks it's better to block the whole numeric project:

User—-agent: *

Disallow: /redmine/projects/support/repository
Disallow: /redmine/projects/support/issues
Disallow: /redmine/projects/support/activity
Disallow: /redmine/projects/3

Disallow: /redmine/issues/gantt

Disallow: /redmine/issues/calendar

Disallow: /redmine/activity

Disallow: /redmine/search
#2 - 2018-01-02 10:45 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#3 - 2018-01-02 11:02 - Toshi MARUYAMA
- File robot.diff added

Try this patch.

#4 - 2018-01-02 12:16 - Grischa Zengel

It works. Thanks.

User—-agent: *

Disallow: /redmine/projects/support/repository
Disallow: /redmine/projects/support/issues
Disallow: /redmine/projects/support/activity
Disallow: /redmine/projects/3/repository
Disallow: /redmine/projects/3/issues
Disallow: /redmine/projects/3/activity
Disallow: /redmine/issues/gantt

Disallow: /redmine/issues/calendar

Disallow: /redmine/activity

Disallow: /redmine/search

#5 - 2018-01-31 19:20 - Toshi MARUYAMA

- Subject changed from add numerical project to robots.txt to add project id to robots.txt

#6 - 2018-01-31 19:26 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 4.0.0

- Resolution set to Fixed

I think it is no problem because project id is disclosed in project.xml and robots.txt hides non public projects.

source:trunk/app/controllers/welcome_controller.rb@17189#L 26

#7 - 2018-09-17 15:39 - Go MAEDA
- Category set to SEO

#8 - 2018-11-30 15:19 - Marius BALTEANU
- Subject changed from add project id to robots.txt to Add project id to robots.txt

Files
robot.diff 633 Bytes 2018-01-02 Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/17189/entry/trunk/app/controllers/welcome_controller.rb#L26
